
var Base64 = {
 
	// private property
	_keyStr : "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",
 
	// public method for encoding
	encode : function (input) {
		var output = "";
		var chr1, chr2, chr3, enc1, enc2, enc3, enc4;
		var i = 0;
 
		input = Base64._utf8_encode(input);
 
		while (i < input.length) {
 
			chr1 = input.charCodeAt(i++);
			chr2 = input.charCodeAt(i++);
			chr3 = input.charCodeAt(i++);
 
			enc1 = chr1 >> 2;
			enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
			enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
			enc4 = chr3 & 63;
 
			if (isNaN(chr2)) {
				enc3 = enc4 = 64;
			} else if (isNaN(chr3)) {
				enc4 = 64;
			}
 
			output = output +
			this._keyStr.charAt(enc1) + this._keyStr.charAt(enc2) +
			this._keyStr.charAt(enc3) + this._keyStr.charAt(enc4);
 
		}
 
		return output;
	},
 
	// public method for decoding
	decode : function (input) {
		var output = "";
		var chr1, chr2, chr3;
		var enc1, enc2, enc3, enc4;
		var i = 0;
 
		input = input.replace(/[^A-Za-z0-9\+\/\=]/g, "");
 
		while (i < input.length) {
 
			enc1 = this._keyStr.indexOf(input.charAt(i++));
			enc2 = this._keyStr.indexOf(input.charAt(i++));
			enc3 = this._keyStr.indexOf(input.charAt(i++));
			enc4 = this._keyStr.indexOf(input.charAt(i++));
 
			chr1 = (enc1 << 2) | (enc2 >> 4);
			chr2 = ((enc2 & 15) << 4) | (enc3 >> 2);
			chr3 = ((enc3 & 3) << 6) | enc4;
 
			output = output + String.fromCharCode(chr1);
 
			if (enc3 != 64) {
				output = output + String.fromCharCode(chr2);
			}
			if (enc4 != 64) {
				output = output + String.fromCharCode(chr3);
			}
 
		}
 
		output = Base64._utf8_decode(output);
 
		return output;
 
	},
 
	// private method for UTF-8 encoding
	_utf8_encode : function (string) {
		string = string.replace(/\r\n/g,"\n");
		var utftext = "";
 
		for (var n = 0; n < string.length; n++) {
 
			var c = string.charCodeAt(n);
 
			if (c < 128) {
				utftext += String.fromCharCode(c);
			}
			else if((c > 127) && (c < 2048)) {
				utftext += String.fromCharCode((c >> 6) | 192);
				utftext += String.fromCharCode((c & 63) | 128);
			}
			else {
				utftext += String.fromCharCode((c >> 12) | 224);
				utftext += String.fromCharCode(((c >> 6) & 63) | 128);
				utftext += String.fromCharCode((c & 63) | 128);
			}
 
		}
 
		return utftext;
	},
 
	// private method for UTF-8 decoding
	_utf8_decode : function (utftext) {
		var string = "";
		var i = 0;
		var c = c1 = c2 = 0;
 
		while ( i < utftext.length ) {
 
			c = utftext.charCodeAt(i);
 
			if (c < 128) {
				string += String.fromCharCode(c);
				i++;
			}
			else if((c > 191) && (c < 224)) {
				c2 = utftext.charCodeAt(i+1);
				string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
				i += 2;
			}
			else {
				c2 = utftext.charCodeAt(i+1);
				c3 = utftext.charCodeAt(i+2);
				string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
				i += 3;
			}
 
		}
 
		return string;
	}
 
}

var g_file_list = new Array();

function clearFileList()
{
	while(g_file_list.length)
	{
		g_file_list.pop();
	}
}
function isFileExist(fileName)
{
	var index;
	var strRet = 'false';
	for(index in g_file_list)
	{
		if(g_file_list[index] == fileName)
		{
			strRet = 'true';
			break;
		}
	}
	return strRet;
}
function addFile(filename)
{
	g_file_list.push(filename);
}

function disp_rename(filename_base64)
{
  var fname = Base64.decode(filename_base64);
  if (fname != null) {
  	var i = fname.lastIndexOf(".");
    if(i > 0)
    {
    	var var1 = fname.substring(i + 1) ;
    	if (var1 == "bdl")
        {
        	alert("在线书籍记录不允许重命名!");
            return;
        }
  	}
  }
  
  var name=prompt("请输入新的文件名：", Base64.decode(filename_base64));
  if (name!=null && name!="" && name!=Base64.decode(filename_base64))
    {
			if (IsContainInvalidChars(name) == 'true')
			{
				alert("文件名包含“/\\&<>*:\"空格\”等非法字符或者文件名为“.”，请重新输入");
			}
			else
			{
			  if (isFileExist(name) == 'false')
				{
					$('#idoperatortype').val("3"); 
					$('#idnewnameInput').val(Base64.encode(name));
					$('#idoperatorfilename').val(filename_base64);
					$('#form1').submit();
					
					/*
					var args = {act: $("#idoperatortype").val(),
        				filename: $('#idoperatorfilename').val(),
        				temprenamedata:$('#idnewnameInput').val()};
			        $.ajax({
				        type: "post",
				        url: window.location.href,
				        data: args,
				        dataType: "jsonp",
			            jsonp: "callback",
			            complete : function(json){
			                loadDir();
			            }
			        });
			        */
					
				}
				else
				{
					alert("新的文件名\"" + name + '\"已经存在，请换个文件名');
				}
			}
    }
}

function transfer_filename(filename)
{
	var newfilename;
	newfilename = filename.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/ /g,"&nbsp;").replace(/"/g,"&quot;");
	return newfilename;
}

function IsContainInvalidChars(input)
{
	if(input.match(/[\/\\\&\ \<\>\*\:\"]/) != null)
	{
		return 'true';
	}
	else
	{
		if(input.match(/[^.]/) == null)
		{
			return 'true';
		}
	}
	return 'false';
}

function disp_dirCreate()
{
	var name = document.getElementById("dirInputname").value;
	if (name!=null && name!="")
	{
		if (isFileExist(name) == 'false')
		{
			//if(name.search(/\//) != -1 || name.search(/\\/) != -1)
			if (IsContainInvalidChars(name) == 'true')
			{
				alert("文件名包含“/\\&<>*:\"空格\”等非法字符或者文件名为“.”，请重新输入");
			}
			else
			{
				$('#idoperatorfilename').val(Base64.encode(name));
				$('#idoperatortype').val("2"); 
				$('#form1').submit();
				
				/*
				var args = {act: $("#idoperatortype").val(),
        				filename: $('#idoperatorfilename').val(),
        				temprenamedata: $('#idnewnameInput').val()};
		        $.ajax({
			        type: "post",
			        url: window.location.href,
			        data: args,
			        dataType: "jsonp",
		            jsonp: "callback",
		            complete : function(json){
		                loadDir();
		            }
		        });
		        */
				
			}
		}
		else
		{
			alert("文件或目录\"" + name + '\"已经存在，请换个文件名');
		}
		
	}
	else
	{
		alert("请输入要创建的目录名称");
	}
}
function disp_delete(textbase64, isDir)
{
	if(isDir == "true")
	{
		var r=confirm("确认要删除目录\"" +  Base64.decode(textbase64) + "\"及目录下的所有内容吗");
		if (r==true)
		 {
			$('#idoperatortype').val("1"); 
			$('#idoperatorfilename').val(textbase64);
			$('#form1').submit();
			
			/*
        	var args = {act: $("#idoperatortype").val(),
        				filename: $('#idoperatorfilename').val(),
        				temprenamedata: $('#idnewnameInput').val()};
	        $.ajax({
		        type: "post",
		        url: window.location.href,
		        data: args,
		        dataType: "jsonp",
	            jsonp: "callback",
	            complete : function(json){
	                loadDir();
	            }
	        });
	        */
			
		 }
		else
		{
		
		}

	}
	else
	{
		var r=confirm("确认要删除文件\"" + Base64.decode(textbase64) + "\"吗?");
		if(r==true)
		{
			$('#idoperatortype').val("1"); 
			$('#idoperatorfilename').val(textbase64);
			//$('#form1').submit();
			
			var args = {act: $("#idoperatortype").val(),
        				filename: $('#idoperatorfilename').val(),
        				temprenamedata:""};
	        $.ajax({
		        type: "post",
		        url: window.location.href,
		        data: args,
		        dataType: "jsonp",
	            jsonp: "callback",
	            complete : function(json){
	                loadDir();
	            }
	        });
	        
		}
	}

}

function uploadfile()
{
	var name = document.getElementById("file_upload").value;
	if (name!=null && name!="")
	{
		var subname = name;
		
		var index = name.lastIndexOf("\\");
		if (index != -1)
		{
		   subname = name.substring(index + 1);
		}
	  if (isFileExist(subname) == 'false')
		{
				$('#form2').submit();
		}
		else
		{
			alert("文件\"" + subname + '\"已经存在，请换个文件名再上传');
		}
	}

}
function showtable()
{
		var tableid='ndtable';
		//表格的id
		var overcolor = '#f4f4f4'; //FCF9D8';
		//鼠标经过颜色
		var color1 = '#FFFFFF';
		//第一种颜色
		var color2='#FFFFFF';
		//第二种颜色
		var tablename=document.getElementById(tableid)
		var tr = tablename.getElementsByTagName("tr");
		for(var i=1 ;i<tr.length;i++)
		{  tr[i].onmouseover=function()
				{
				this.style.backgroundColor=overcolor;
				}
				tr[i].onmouseout=function()
				{
					if(this.rowIndex%2==0){
					this.style.backgroundColor=color1;
					}else{
					this.style.backgroundColor=color2;
					}//牛图库JS特效，http://js.niutuku.com/
				}
				if(i%2==0){
				tr[i].className="color1";
				}else{
				tr[i].className="color2";
				}
		}
}

function onResponse(xml)
{

	//txt="<div class=\"title\"><h1>文件同步传输</h1></div>";
	//txt=txt + "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\" id=\"ndtable\">";
	//txt = txt +  "<tr class=\"tr1bg\"> <td>&nbsp;</td><td>名称</td> <td>修改时间</td><td>大小</td><td class=\"td4wd\">&nbsp;</td></tr>"
    var parentdir = window.location.href + "..";
    var txt = "<table width=\"100%\" border=\"0\" align=\"center\" cellspacing=\"0\" class=\"table3\" id=\"ndtable\">";
	txt= txt+/*"  <tr class=\"title\">"+
    "<td width=\"292\" align=\"left\" class=\"nr1\">您设备上的文件列表</td>"+
    "<td width=\"292\" align=\"left\" class=\"nr1\">&nbsp;</td>"+
    "<td width=\"292\" align=\"left\" class=\"nr1\">&nbsp;</td>"+
    "<td width=\"292\" align=\"left\" class=\"nr1\">&nbsp;</td>"+
  "</tr>" +*/
  "<tr>"+
    "<td colspan=\"5\" align=\"left\" class=\"nr1\"><table width=\"64\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">"+
      "<tr>"+
        "<td width=\"29\"><a href=\"" + parentdir + "\"><img src=\"/tmp/images/return.png\" width=\"22\" height=\"21\" /></a></td>" +
        "<td width=\"35\" align=\"center\"><a href=\"" + parentdir + "\">返回</a></td>"+
      "</tr>"+
    "</table></td>"+
  "</tr>"+
  "<tr>" +
    "<td width=\"50\" class=\"nr2\">&nbsp;</td>"+
    "<td width=\"252\" align=\"left\" class=\"nr2\">书籍名称</td>"+
    "<td width=\"244\" align=\"left\" class=\"nr2\">上传时间</td>"+
    "<td width=\"247\" align=\"left\" class=\"nr2\">大小</td>"+
    "<td width=\"261\" align=\"left\" class=\"nr2\">操作</td>"+
  "</tr>";
	var parentdir=window.location.href  + "..";
	
	//txt =txt + "<tr ><td>&nbsp;</td><td><a href=\"" + parentdir +"\">上一级</a></td><td>--</td><td>--</td><td></td><td></td></tr>";
	
	clearFileList();
	addFile('tmp');
	$(xml).find("fileinfo").each(function(i)
	{
	
	var fileName=null;
	var name_encode=null;
	var uri=null;
	var bDir ="false";
	
	txt=txt + "<tr class=\"title\">";
	//txt=txt+ "<td>&nbsp;</td>";
	bDir = $(this).children("isdir").text();
	//if (bDir == "true") { return true;} 文件夹直接退出
	name_encode=$(this).children("nameencode").text();

	uri=$(this).children("uri").text();
	fileName=$(this).children("name").text();
    {

        var showfileaname = Base64.decode(fileName);
        if (bDir == "true") //文件夹
        {
            txt = txt + "<td width=\"50\" class=\"nr2\"><a href=\"" + uri + "\" alt=\"dir\">" + "<img src=\"/tmp/images/wjj.png\" width=\"32\" height=\"30\" /></a></td>";
        }
        else {
            //筛选文件格式
            var arrname = showfileaname.split('.');
            if (arrname.length >= 2) {
                //if ($.inArray(arrname[arrname.length - 1], ["txt", "epub", "htm", "chm", "cbz", "cbr", "pdf", "doc", "ppt", "xls","ttf","html","umd",]) == -1) {
                //    return true;
                //}
                                 //屏蔽plist后缀文件
                if ($.inArray(arrname[arrname.length - 1], ["plist"]) != -1) {
                                 return true;
                                 }
            }
            else { return true; }
            txt = txt + "<td width=\"50\" class=\"nr3\"><a href=\"" + uri + "\" target=\"_blank\" class=\"mca\"><img src=\"/tmp/images/wj.png\" width=\"32\" height=\"32\" /></a></td>";
        }
	  addFile(showfileaname);
	  /*if(bDir=="true")
	  {
		atxt="<a href=\"" + uri + "\">" + "<img src=\"/tmp/images/dir.gif\" width=\"20\" height=\"20\" alt=\"dir\" />"+transfer_filename(showfileaname) + "/</a>";
	  }
	  else
	  {
		 atxt="<a href=\"" + uri + "\" target='_blank'>" + "<img src=\"/tmp/images/file.gif\" width=\"20\" height=\"20\" alt=\"File\" />" + transfer_filename(showfileaname) + "</a>";
	  }
	 txt=txt + "<td>" +atxt+"</td>";*/
	  txt = txt + "<td align=\"left\" class=\"nr3\"><a href=\"" + uri + "\" alt=\"dir\" target=\"_blank\" class=\"mca\">"  + transfer_filename(showfileaname) + "</a></td>";
    }

	xx=$(this).children("time").text();
    {
    try
      {
        txt=txt + "<td align=\"left\" class=\"nr3\">" + xx + "</td>";
      }
    catch (er)
      {
        txt = txt + "<td align=\"left\" class=\"nr3\"> </td>";
      }
    }
	xx=$(this).children("size").text();
    {
    try
      {
		if(bDir=="true")
		  {
		    txt = txt + "<td align=\"left\" class=\"nr3\">" + "--" + "</td>";
		  }
		  else
		  {
		   		var sizeformat= null;
		   		if(xx < 1024)
 
		   		{
		   			sizeformat  = Number (xx).toFixed(0);
		   		}
		   		else if(xx < (1024*1024))
		   		{
		   			sizeformat = Number(xx /1024).toFixed(1) + "k";
		   		}
 					else if(xx < 1024*1024 *1024)
					{ 
						sizeformat =Number(xx /(1024*1024)).toFixed(2) + "M";
					} 
 					else//G
					{ 
						sizeformat = Number(xx /(1024*1024*1024))
.toFixed(2) + "G"; 
					}
		   		txt = txt + "<td align=\"left\" class=\"nr3\">" + sizeformat + "</td>";
		  }
    
      }
    catch (er)
      {
        txt = txt + "<td align=\"left\" class=\"nr2\"> </td>";
      }
    }
	


	//txt=txt + "<td class=\"td4wd\"><input type='button' style='background-image:url(/tmp/images/del.gif); background-color: Transparent; border-style:none; width:73px; height:25px;' name='" +fileName +"' id='" + bDir+"' width=83px; height=25px; onclick='disp_delete(this.name, this.id)' />"
	txt=txt+"<td align=\"left\" class=\"nr3\"><a name='" +fileName +"' id='" + bDir+"' onclick='disp_delete(this.name, this.id)' href='javascript:'>删除</a>&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; ";
	var isNdl = false;
	if (showfileaname != null) {
	  	var i = showfileaname.lastIndexOf(".");
	    if(i > 0)
	    {
	    	var var1 = showfileaname.substring(i + 1) ;
	    	if (var1 == "bdl")
	        {
	        	isNdl = true;
	        }
	  	}
  	}
	if (isNdl) {
	    //txt = txt + "<input type='button' disabled style='background-image:url(/tmp/images/rename_disable.gif); background-color: Transparent; border-style:none; width:83px; height:25px;' name='" + fileName + "' onclick='disp_rename(this.name)' /></td>";
	    txt = txt + "<a name='" + fileName + "' onclick='disp_rename(this.name)' >重命名</a>";
	} else {
	    //txt = txt +"<input type='button' style='background-image:url(/tmp/images/rename.gif); background-color: Transparent; border-style:none; width:83px; height:25px;' name='" +fileName +"' onclick='disp_rename(this.name)' /></td>";
	    txt = txt + "<a name='" + fileName + "' onclick='disp_rename(this.name)' href='javascript:'>重命名</a>";
	}
	txt=txt + "</td></tr>";
  });
  
txt=txt + "</table>";
txt=txt +"<form  method=\"POST\" id=\"form1\">" + "<input type=\"hidden\" id=\"idoperatortype\" name=\"act\">";
txt=txt +"<input type=\"hidden\" id=\"idoperatorfilename\" name=\"filename\">";
txt =txt +" <input type=\"hidden\" id=\"idnewnameInput\" name=\"temprenamedata\"></form>";
  
	 //创建目录
/*txt=txt + " <table><tr><td><label class=\"labels\" for=\"file\">&nbsp;&nbsp;输出要创建目录的名称</label>" +
		  "<input type=\"text\" id=\"dirInputname\"></td>"+
		  "<td><input type=\"button\" style='background-image:url(/tmp/images/newdir.gif);background-color: Transparent; border-style:none; width:83px; height:25px;' onclick='disp_dirCreate()'></td></tr></table>";
   

	
	txt=txt+ "<form id=\"form2\" method =\"POST\" enctype=\"multipart/form-data\" >"+
	  "<label class=\"labels\" for=\"file\">&nbsp;&nbsp;上传文件 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</label>" +
					"<input type=\"file\" autocomplete=\"off\" name=\"uploadname\" id=\"file_upload\" onchange=\"uploadfile()\"  >" +
					"<input type=\"text\" style=\"display:none\">"
					"</form>";
	*/
document.getElementById('nddiv').innerHTML=txt;

showtable();
}


	//显示灰色 jQuery 遮罩层
    function showBg() {
        //var bh = $("body").height() + 80;
        var bh = Math.max(document.body.scrollHeight, document.body.clientHeight);
        var bw = $("body").width();
        $("#fullbg").css({
            height: bh,
            width: bw,
            display: "block"
        });
        $("#dialog").show();
        
    }
    
    
    //关闭灰色 jQuery 遮罩
    function closeBg(error) {
        $("#fullbg,#dialog").hide();
        if (error) {
        	alert("网络传输错误");
        }
    }
    
    
function loadDir()
{
    var url = window.location.href + "?" + Math.random();
  $.post(url ,null,function(data){
	 onResponse(data);
	}
  );
  
  var main_url = window.location.protocol + '//' + window.location.host + '/';
  var swfuOption = {//swfupload选项
		flash_url : main_url + "tmp/swfupload.swf",//swfupload压缩包解压后swfupload.swf的url
		upload_url : window.location.href, //接收上传的服务端url
        //file_size_limit : "20480",//用户可以选择的文件大小，有效的单位有B、KB、MB、GB，若无单位默认为KB
        
    button_placeholder_id : "swfu-placeholder",//上传按钮占位符的id
		button_width: 88, //按钮宽度
		button_height: 37, //按钮高度
		button_text: '<span class="btn-txt"></span>',//按钮文字
		button_text_style: '.btn-txt{color: #666666;font-size:20px;font-family:"微软雅黑"}',//按钮文字样式
		button_text_top_padding: 2,//文字距按钮顶部距离
		button_text_left_padding: 12,//文字距离按钮左边距离
		button_image_url: "/tmp/images/xzwj.png",//按钮背景
		
		debug: false,//开启调试模式
		button_window_mode: SWFUpload.WINDOW_MODE.TRANSPARENT,
		
		// The event handler functions are defined in handlers.js
		file_queued_handler : fileQueued,
		file_queue_error_handler : fileQueueError,
		file_dialog_complete_handler : fileDialogComplete,
		upload_start_handler : uploadStart,
		upload_progress_handler : uploadProgress,
		upload_error_handler : uploadError,
		upload_success_handler : uploadSuccess,
		upload_complete_handler : uploadComplete,
		queue_complete_handler : queueComplete	// Queue plugin event
    };
    
    var swfu = new SWFUpload(swfuOption);//初始化并将swfupload按钮替换swfupload占位符 
}

//上传队列完成事件处理
function queueComplete(numFilesUploaded) {
	closeBg(false);
	loadDir();
	this.setButtonDisabled(false);//恢复上传按钮
}

//文件选择窗口关闭事件处理
function fileDialogComplete(numFilesSelected, numFilesQueued) {
	try {
		/* I want auto start the upload and I can do that here */
		 //删除显示灰色jQuery 遮罩层
		if (numFilesQueued > 0) {
		 	showBg();
			this.startUpload();
			this.setButtonDisabled(true);//禁用上传按钮
		}
	} catch (ex)  {
        this.debug(ex);
	}
}

//传输错误处理
function fileQueueError(file, errorCode, message) {
	try {
		if (errorCode === SWFUpload.QUEUE_ERROR.QUEUE_LIMIT_EXCEEDED) {
			alert("You have attempted to queue too many files.\n" + (message === 0 ? "You have reached the upload limit." : "You may select " + (message > 1 ? "up to " + message + " files." : "one file.")));
			return;
		}

		var progress = new FileProgress(file, this.customSettings.progressTarget);
		progress.setError();
		progress.toggleCancel(false);

		switch (errorCode) {
		case SWFUpload.QUEUE_ERROR.FILE_EXCEEDS_SIZE_LIMIT:
			progress.setStatus("File is too big.");
			this.debug("Error Code: File too big, File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
			break;
		case SWFUpload.QUEUE_ERROR.ZERO_BYTE_FILE:
			progress.setStatus("Cannot upload Zero Byte files.");
			this.debug("Error Code: Zero byte file, File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
			break;
		case SWFUpload.QUEUE_ERROR.INVALID_FILETYPE:
			progress.setStatus("Invalid File Type.");
			this.debug("Error Code: Invalid File Type, File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
			break;
		default:
			if (file !== null) {
				progress.setStatus("Unhandled Error");
			}
			this.debug("Error Code: " + errorCode + ", File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
			break;
		}
		//alert("网络传输错误");
		
	} catch (ex) {
        this.debug(ex);
    }
}

function uploadError(file, errorCode, message) {
	try {
		this.cancelQueue();
		if (errorCode == SWFUpload.UPLOAD_ERROR.IO_ERROR) {
			closeBg(true);
		} else {
			closeBg(false);
		}
		
		var progress = new FileProgress(file, this.customSettings.progressTarget);
		progress.setError();
		progress.toggleCancel(false);

		switch (errorCode) {
		case SWFUpload.UPLOAD_ERROR.HTTP_ERROR:
			progress.setStatus("Upload Error: " + message);
			this.debug("Error Code: HTTP Error, File name: " + file.name + ", Message: " + message);
			break;
		case SWFUpload.UPLOAD_ERROR.UPLOAD_FAILED:
			progress.setStatus("Upload Failed.");
			this.debug("Error Code: Upload Failed, File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
			break;
		case SWFUpload.UPLOAD_ERROR.IO_ERROR:
			progress.setStatus("Server (IO) Error");
			this.debug("Error Code: IO Error, File name: " + file.name + ", Message: " + message);
			break;
		case SWFUpload.UPLOAD_ERROR.SECURITY_ERROR:
			progress.setStatus("Security Error");
			this.debug("Error Code: Security Error, File name: " + file.name + ", Message: " + message);
			break;
		case SWFUpload.UPLOAD_ERROR.UPLOAD_LIMIT_EXCEEDED:
			progress.setStatus("Upload limit exceeded.");
			this.debug("Error Code: Upload Limit Exceeded, File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
			break;
		case SWFUpload.UPLOAD_ERROR.FILE_VALIDATION_FAILED:
			progress.setStatus("Failed Validation.  Upload skipped.");
			this.debug("Error Code: File Validation Failed, File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
			break;
		case SWFUpload.UPLOAD_ERROR.FILE_CANCELLED:
			// If there aren't any files left (they were all cancelled) disable the cancel button
			if (this.getStats().files_queued === 0) {
				//document.getElementById(this.customSettings.cancelButtonId).disabled = true;
			}
			progress.setStatus("Cancelled");
			progress.setCancelled();
			break;
		case SWFUpload.UPLOAD_ERROR.UPLOAD_STOPPED:
			progress.setStatus("Stopped");
			break;
		default:
			progress.setStatus("Unhandled Error: " + errorCode);
			this.debug("Error Code: " + errorCode + ", File name: " + file.name + ", File size: " + file.size + ", Message: " + message);
			break;
		}
	} catch (ex) {
        this.debug(ex);
    }
}

